DCMTK - Bug #391

valgrind reports "invalid read"” when calling gethostbyname()
2011-08-25 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: High Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.2

Module: dcmnet Compiler:

Operating System:

Description

found with valgrind on caesar
related questions:

e Do we still need the Windows'95 workaround (siehe "NO_WINDOWS95_ADDRESS_TRANSLATION_WORKAROUND")?
¢ "gethostbyname()_r" should be used instead of "gethostbyname()" when available

History

#1 - 2013-02-13 17:22 - J6rg Riesmeier

- Target version set to 3.6.2

#2 - 2013-04-28 23:43 - Andrew Chiw

- Subject changed from valgrind meldet "invalid read" bei gethostbyname()-Aufrufen to valgrind reports "invalid read" when calling gethostbyname()

#3 - 2017-01-27 13:57 - Jorg Riesmeier
- Category set to Library

- Assignee set to Jorg Riesmeier

#4 - 2017-01-27 14:00 - J6rg Riesmeier

Also remove call to gethostbyname() in "decmnet/include/dcmtk/dcmnet/dcompat.h"?

#5 - 2017-01-30 16:21 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

See commit 18e429f and 105f4c2.

2025-09-06 1/1



http://www.tcpdf.org

